#include "Common.hpp"
#include "Cleanup.hpp"
#include "Protocol.hpp"

using std::string;

int main(int argc, char *argv[])
{
    string msg;

    Protocol::init();
    Cleanup cleanupProtocol([](){ Protocol::cleanup(); });

    if (!Protocol::updateUsername("Frictionless Bananas", &msg))
    {
        printf("%s\n", msg.c_str());
        return 1;
    }

    return 0;
}
